MCP Tools Reference: agentregistry.googleapis.com

Tool: get_mcp_server

Retrieve the full metadata of a specific MCP server using its unique resource name. Use this to inspect the exact tools and schemas exposed by a known server.

The following sample demonstrate how to use curl to invoke the get_mcp_server MCP tool.

Curl Request
                  
curl --location 'https://agentregistry.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_mcp_server",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Message for getting a McpServer

GetMcpServerRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. Name of the resource

Output Schema

Represents an MCP (Model Context Protocol) Server.

McpServer

JSON representation
{
  "name": string,
  "mcpServerId": string,
  "displayName": string,
  "description": string,
  "interfaces": [
    {
      object (Interface)
    }
  ],
  "tools": [
    {
      object (Tool)
    }
  ],
  "createTime": string,
  "updateTime": string,
  "attributes": {
    string: {
      object
    },
    ...
  }
}
Fields
name

string

Identifier. The resource name of the MCP Server. Format: projects/{project}/locations/{location}/mcpServers/{mcp_server}.

mcpServerId

string

Output only. A stable, globally unique identifier for MCP Servers.

displayName

string

Output only. The display name of the MCP Server.

description

string

Output only. The description of the MCP Server.

interfaces[]

object (Interface)

Output only. The connection details for the MCP Server.

tools[]

object (Tool)

Output only. Tools provided by the MCP Server.

createTime

string (Timestamp format)

Output only. Create time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. Update time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

attributes

map (key: string, value: object (Struct format))

Output only. Attributes of the MCP Server. Valid values:

  • agentregistry.googleapis.com/system/RuntimeIdentity: {"principal": "principal://..."} - the runtime identity associated with the MCP Server.
  • agentregistry.googleapis.com/system/RuntimeReference: {"uri": "//..."}
  • the URI of the underlying resource hosting the MCP Server, for example, the GKE Deployment.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Interface

JSON representation
{
  "url": string,
  "protocolBinding": enum (ProtocolBinding)
}
Fields
url

string

Required. The destination URL.

protocolBinding

enum (ProtocolBinding)

Required. The protocol binding of the interface.

Tool

JSON representation
{
  "name": string,
  "description": string,
  "annotations": {
    object (Annotations)
  }
}
Fields
name

string

Output only. Human-readable name of the tool.

description

string

Output only. Description of what the tool does.

annotations

object (Annotations)

Output only. Annotations associated with the tool.

Annotations

JSON representation
{
  "title": string,
  "destructiveHint": boolean,
  "idempotentHint": boolean,
  "openWorldHint": boolean,
  "readOnlyHint": boolean
}
Fields
title

string

Output only. A human-readable title for the tool.

destructiveHint

boolean

Output only. If true, the tool may perform destructive updates to its environment. If false, the tool performs only additive updates. NOTE: This property is meaningful only when read_only_hint == false Default: true

idempotentHint

boolean

Output only. If true, calling the tool repeatedly with the same arguments will have no additional effect on its environment. NOTE: This property is meaningful only when read_only_hint == false Default: false

openWorldHint

boolean

Output only. If true, this tool may interact with an "open world" of external entities. If false, the tool's domain of interaction is closed. For example, the world of a web search tool is open, whereas that of a memory tool is not. Default: true

readOnlyHint

boolean

Output only. If true, the tool does not modify its environment. Default: false

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

AttributesEntry

JSON representation
{
  "key": string,
  "value": {
    object
  }
}
Fields
key

string

value

object (Struct format)

Struct

JSON representation
{
  "fields": {
    string: value,
    ...
  }
}
Fields
fields

map (key: string, value: value (Value format))

Unordered map of dynamically typed values.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

FieldsEntry

JSON representation
{
  "key": string,
  "value": value
}
Fields
key

string

value

value (Value format)

Value

JSON representation
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
Fields
Union field kind. The kind of value. kind can be only one of the following:
nullValue

null

Represents a JSON null.

numberValue

number

Represents a JSON number. Must not be NaN, Infinity or -Infinity, since those are not supported in JSON. This also cannot represent large Int64 values, since JSON format generally does not support them in its number type.

stringValue

string

Represents a JSON string.

boolValue

boolean

Represents a JSON boolean (true or false literal in JSON).

structValue

object (Struct format)

Represents a JSON object.

listValue

array (ListValue format)

Represents a JSON array.

ListValue

JSON representation
{
  "values": [
    value
  ]
}
Fields
values[]

value (Value format)

Repeated field of dynamically typed values.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌